Package org.eclipse.ant.core

## Class Property

- java.lang.Object
- - org.eclipse.ant.core.Property

    public class Property
    extends Object

Represents a Ant property. Clients may instantiate this class; it is not intended to be subclassed.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`Property()`
`Property​(String name, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object other)`
`String` `getName()` Gets the name
`String` `getPluginLabel()` Returns the label of the plug-in that contributed this Ant property via an extension point.
`String` `getValue()` Returns the value.
`String` `getValue​(boolean substituteVariables)` Returns the value.
`int` `hashCode()`
`boolean` `isDefault()` Returns whether this Ant property has been created because of an extension point definition.
`boolean` `isEclipseRuntimeRequired()` Returns whether this property requires the Eclipse runtime to be relevant.
`void` `setEclipseRuntimeRequired​(boolean eclipseRuntime)`
`void` `setName​(String name)` Sets the name
`void` `setPluginLabel​(String pluginLabel)` Sets the label of the plug-in that contributed this Ant property via an extension point.
`void` `setValue​(String value)` Sets the value.
`void` `setValueProvider​(String className, ClassLoader loader)` Sets the name of the class that is an `IAntPropertyValueProvider` to be used to dynamically provide a value for this property.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Property

    public Property​(String name,
                    String value)

#### Property

    public Property()

### Method Detail

#### getName

    public String getName()

Gets the name

Returns:
  Returns a String

#### setName

    public void setName​(String name)

Sets the name

Parameters:
  `name` - The name to set

#### equals

    public boolean equals​(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getValue

    public String getValue()

Returns the value. Equivalent to calling #getValue(true);

Returns:
  String

#### getValue

    public String getValue​(boolean substituteVariables)

Returns the value.

Parameters:
  `substituteVariables` - whether the value has any variables resolved.
Returns:
  String
Since:
  3.0

#### setValue

    public void setValue​(String value)

Sets the value.

Parameters:
  `value` - The value to set

#### isDefault

    public boolean isDefault()

Returns whether this Ant property has been created because of an extension point definition.

Returns:
  boolean
Since:
  3.0

#### setPluginLabel

    public void setPluginLabel​(String pluginLabel)

Sets the label of the plug-in that contributed this Ant property via an extension point.

Parameters:
  `pluginLabel` - The label of the plug-in
Since:
  3.0

#### getPluginLabel

    public String getPluginLabel()

Returns the label of the plug-in that contributed this Ant property via an extension point.

Returns:
  pluginLabel The label of the plug-in
Since:
  3.0

#### setValueProvider

    public void setValueProvider​(String className,
                                 ClassLoader loader)

Sets the name of the class that is an `IAntPropertyValueProvider` to be used to dynamically provide a value for this property. Sets the class loader to load the `IAntPropertyValueProvider` to be used to dynamically provide a value for this property.

Parameters:
  `className` - The name of the value provider class to use to resolve the value of this property
  `loader` - The class loader to use to load the value provider class to use to resolve the value of this property
Since:
  3.0

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### isEclipseRuntimeRequired

    public boolean isEclipseRuntimeRequired()

Returns whether this property requires the Eclipse runtime to be relevant. Defaults value is `true`

Returns:
  whether this property requires the Eclipse runtime
Since:
  3.0

#### setEclipseRuntimeRequired

    public void setEclipseRuntimeRequired​(boolean eclipseRuntime)